- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# list – simply returns what it is given

- Synopsis

- Examples

- Return Values

- Status

## Synopsis

- this is mostly a noop, to be used as a with_list loop when you dont want the content transformed in any way.

## Examples

    - name: unlike with_items you will get 3 items from this loop, the 2nd one being a list
      debug: var=item
      with_list:
        - 1
        - [2,3]
        - 4

## Return Values

Common return values are documented here, the following are the fields unique to this lookup:

Key | Returned | Description
--- | --- | ---
_list - |  | basically the same as you fed in

## Status

- This lookup is not guaranteed to have a backwards compatible interface. [preview]

- This lookup is maintained by the Ansible Community. [community]

### Authors

- Ansible core team

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.